Package org.eclipse.ecf.remoteservice

# Class AbstractRemoteService.AsyncArgs

java.lang.Object
org.eclipse.ecf.remoteservice.AbstractRemoteService.AsyncArgs

Enclosing class:
  AbstractRemoteService

public class AbstractRemoteService.AsyncArgs extends Object

Since:
  8.4

## Constructor Summary

Constructors
Constructor
Description
`AsyncArgs(Object[] originalArgs, Class returnType)`
`AsyncArgs(IRemoteCallListener listener, Object[] originalArgs)`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getArgs()`
`IRemoteCallListener`
`getListener()`
`Class`
`getReturnType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncArgs

public AsyncArgs(Object[] originalArgs, Class returnType)

### AsyncArgs

public AsyncArgs(IRemoteCallListener listener, Object[] originalArgs)

## Method Details

### getListener

public IRemoteCallListener getListener()

### getArgs

public Object[] getArgs()

### getReturnType

public Class getReturnType()